

@set btime=\t\txt_time.bat
@cd \t\time\files
@if "%1"=="" goto main
@set resp=\t\res\
@echo %1 %2 %3 %4 %5 %6 %7 %8 %9	>>%resp%%1.tim
@set p3=%3
@set p4=%4
@set p6=%6
@set p7=%7
@if "%3"=="-" set p3=
@if "%4"=="-" set p4=
@if "%6"=="-" set p6=
@if "%7"=="-" set p7=
@set px=%1
@if "%1"=="pkzip" set px=pkunzip
@if "%1"=="bwic"  set px=ubwic
@if "%1"=="ppmy"  set px=ppmy_d
@if "%1"=="ppmy70" set px=ppmy70_d
@set rchiv=%8
@if "%2"=="ery-e.bat"  set rchiv=%9

time <%btime%
time <%btime%			>>%resp%%1.tim
upct %1 %2 %p3% %p4% %5 %p6%	>>%resp%%1.tim
time <%btime%			>>%resp%%1.tim
echo %1 %2 %p3% %p4% %5 %p6%	>>%resp%%1.tim

@move %rchiv% ..
@cd ..
@dir %rchiv%			>>%resp%%1.tim
@delay.com

time <%btime%
time <%btime%		>>%resp%%1.tim
upct %px% %p7% %8 %9	>>%resp%%1.tim
time <%btime%		>>%resp%%1.tim
echo %px% %p7% %8 %9	>>%resp%%1.tim

@del %rchiv%
@fc/b *.* files\*.*	>>%resp%%1.fc
@del ?*.*
@delay.com
@goto end


@rem Files are sorted by extension:
@rem e.coli
@rem kjv.gutenberg
@rem bible.txt
@rem world192.txt
@rem than extension is set to .TXT

@rem         If no parameters given - MAIN process starts
:main
d:
goto conti
@rem may abort when compressing, *****> LEAVES STUB OF ARCHIVE <*****
call %btime%  boa      -m1  -    -      !t1.boa  *.txt      -x !t1.boa *.txt
dir/s \t\time
pause
call %btime%  boa      -m7  -    -      !t2.boa  *.txt      -x !t2.boa *.txt
call %btime%  boa      -m15 -    -      !t3.boa  *.txt      -x !t3.boa *.txt
call %btime%  boa      -m15 -s   -      !t5.boa  *.txt      -x !t5.boa *.txt

call %btime%  qlfc      a   -    -      !t1      *.txt       x !t1.gq  *.txt
call %btime%  gcac      a   -    -      !t1      *.txt       e !t1.gca *.txt
call %btime%  gcac      s   -    -      !t2      *.txt       e !t2.gca *.txt
call %btime%  acb       B   -    -      !t1.acb  *.txt       r !t1.acb
call %btime%  acb       b   -    -      !t2.acb  *.txt       r !t2.acb
@rem may abort when decompressing
call %btime%  acb       u   -    -      !t3.acb  *.txt       r !t3.acb

call %btime%  777       a   -mg  -      !t9.777  *.txt       x !t9.777 *.txt
call %btime%  777       a   -mg  -mu32  !ta.777  *.txt       x !ta.777 *.txt
call %btime%  rk       -mf1 -    -      !f1.rk   *.txt      -x !f1.rk  *.txt
call %btime%  rk       -mf2 -    -      !f2.rk   *.txt      -x !f2.rk  *.txt
call %btime%  rk       -mf3 -    -      !f3.rk   *.txt      -x !f3.rk  *.txt
call %btime%  rk       -mx1 -    -      !x1.rk   *.txt      -x !x1.rk  *.txt
call %btime%  rk       -mx2 -    -      !x2.rk   *.txt      -x !x2.rk  *.txt
call %btime%  rk       -mx3 -    -      !x3.rk   *.txt      -x !x3.rk  *.txt
call %btime%  ufa       a   -mg  -      !t-.ufa  *.txt       x !t-.ufa *.txt
call %btime%  ufa       a   -mg  -mu32  !t0.ufa  *.txt       x !t0.ufa *.txt
call %btime%  ufa       a   -mg  -s     !t1.ufa  *.txt       x !t1.ufa *.txt


call %btime%  ace32     a   -    -      !t0.ace  *.txt       x !t0.ace *.txt
call %btime%  ace32     a   -d4096 -    !t1.ace  *.txt       x !t1.ace *.txt
call %btime%  ace32     a   -d4096 -s-  !t2.ace  *.txt       x !t2.ace *.txt
call %btime%  ace32     a   -d4096 -m1  !t3.ace  *.txt       x !t3.ace *.txt
call %btime%  ace32     a   -d4096 -m5  !t4.ace  *.txt       x !t4.ace *.txt
call %btime%  ace       a   -d4096 -m5  !t5.ace  *.txt       x !t5.ace *.txt
call %btime%  arh       a   -    -      !t1.lg   *.txt       x !t1.lg  *.txt
call %btime%  arh       a   -2   -mm    !t2.lg   *.txt       x !t2.lg  *.txt
call %btime%  arh       a   -1   -mm    !t3.lg   *.txt       x !t3.lg  *.txt
call %btime%  arh       a   -2   -1     !t4.lg   *.txt       x !t4.lg  *.txt
call %btime%  bix       a   -    -      !t0.bix  *.txt       x !t0.bix *.txt
call %btime%  bix       a   -mdg -      !t1.bix  *.txt       x !t1.bix *.txt
call %btime%  bix       a   -mdg -s     !t2.bix  *.txt       x !t2.bix *.txt
call %btime%  eri       a   -    -      !t1.eri  *.txt       x !t1.eri *.txt
call %btime%  eri       a   -m3  -      !t3.eri  *.txt       x !t3.eri *.txt
call %btime%  eri       a   -m6  -      !t6.eri  *.txt       x !t6.eri *.txt
call %btime%  imp98     a   -    -      !t-.imp  *.txt       e !t-.imp *.txt
call %btime%  imp98     a   -mm  -      !t0.imp  *.txt       e !t0.imp *.txt
call %btime%  imp98     a   -mm  -m3    !t1.imp  *.txt       e !t1.imp *.txt
call %btime%  imp98     a   -mm  -2     !t2.imp  *.txt       e !t2.imp *.txt
call %btime%  imp98     a   -mm  -s4    !t3.imp  *.txt       e !t3.imp *.txt
call %btime%  imp98     a   -2   -s4    !t4.imp  *.txt       e !t4.imp *.txt
call %btime%  imp       a   -2   -s4    !oo.imp  *.txt       e !oo.imp *.txt
call %btime%  pkzip    -es  -    -      !t1.zip  *.txt      -e !t1.zip *.txt
call %btime%  pkzip    -a   -    -      !t2.zip  *.txt      -e !t2.zip *.txt
call %btime%  pkzip    -exx -    -      !t3.zip  *.txt      -e !t3.zip *.txt
call %btime%  sbc       c   -m1  -      !t1.sbc  *.txt       x !t1.sbc
call %btime%  sbc       c   -m2  -      !t2.sbc  *.txt       x !t2.sbc
call %btime%  sbc       c   -m3  -      !t3.sbc  *.txt       x !t3.sbc
call %btime%  sbc       c   -m3  -b63   !t4.sbc  *.txt       x !t4.sbc
call %btime%  sbc       c   -    -b63   !t6.sbc  *.txt       x !t6.sbc
call %btime%  sbc       c   -ad  -b63   !t5.sbc  *.txt       x !t5.sbc
call %btime%  sbc       c   -os  -b63   !t9.sbc  *.txt       x !t9.sbc
call %btime%  sbc_d     c   -os  -b63   !td.sbc  *.txt       x !td.sbc
call %btime%  compcl    c   -b15 -      !t0      *.txt       e !t0.car
call %btime%  compcl    c   -b15 -s     tt1      *.txt       e tt1.car
call %btime%  zzip      a   -    -      !t1.zz   *.txt       x !t1.zz
call %btime%  zzip      a   -a   -      !t2.zz   *.txt       x !t2.zz
call %btime%  zzip      a   -mx  -      !t3.zz   *.txt       x !t3.zz
call %btime%  zzip      a   -mx  -mm    !t3.zz   *.txt       x !t3.zz
call %btime%  zzip      a   -mx  -30m   !t4.zz   *.txt       x !t4.zz
call %btime%  dc        e   -    -        *.txt  lr1.dc      x lr1.dc
call %btime%  dc        e   -ft  -        *.txt  lr2.dc      x lr2.dc
call %btime%  dc        e -b16300 -       *.txt  lr3.dc      x lr3.dc
call %btime%  dc        e -b16300 -mt5    *.txt  lr4.dc      x lr4.dc

call %btime%  ppmdi     e   -o2  -     -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o3  -     -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o4  -     -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o5  -     -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o6  -     -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o7  -     -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o8  -     -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o9  -     -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o10 -     -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o11 -     -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o12 -     -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o16 -     -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o3  -m232 -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o4  -m232 -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o5  -m232 -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o6  -m232 -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o7  -m232 -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o8  -m232 -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o9  -m232 -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o10 -m232 -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o11 -m232 -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o12 -m232 -ftexts   *.txt       d texts
call %btime%  ppmdi     e   -o16 -m232 -ftexts   *.txt       d texts

call %btime%  ppmonstr  e   -o3  -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e   -o4  -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e   -o5  -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e   -o6  -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e   -o7  -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e   -o8  -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e   -o9  -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e   -o10 -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e   -o11 -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e   -o12 -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e   -o16 -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e   -o32 -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e   -o64 -m232 -ftexts   *.txt       d texts
call %btime%  ppmonstr  e  -o128 -m232 -ftexts   *.txt       d texts

call %btime%  call ery-e.bat t   o12    texts    *.txt ery-d.bat t texts.ent
call %btime%  call ery-e.bat t   o16    texts    *.txt ery-d.bat t texts.ent
call %btime%  call ery-e.bat t   o32    texts    *.txt ery-d.bat t texts.ent
call %btime%  call ery-e.bat t   o64    texts    *.txt ery-d.bat t texts.ent
rd \t\time\ery7-tmp
rd \t\time\files\ery7-tmp
call %btime%  uharc     a  -m1 -md32768 !t2.uha  *.txt       x !t2.uha *.txt
call %btime%  uharc     a  -m2 -md32768 !t3.uha  *.txt       x !t3.uha *.txt
call %btime%  uharc     a  -m3 -md32768 !t4.uha  *.txt       x !t4.uha *.txt
call %btime%  uharc     a  -mz -md32768 !t5.uha  *.txt       x !t5.uha *.txt
call %btime%  uharc     a  -mx -md32768 !t6.uha  *.txt       x !t6.uha *.txt



call %btime%  7za       a   -t7z -      !t0.7za  *.txt       x !t0.7za *.txt
call %btime%  7za       a   -t7z -mx    !t1.7za  *.txt       x !t1.7za *.txt
call %btime%  7za       a   -tzip -     !t2.7za  *.txt       x !t2.7za *.txt
call %btime%  7za       a   -tzip -mx   !t3.7za  *.txt       x !t3.7za *.txt
call %btime%  bee       a   -m1  -      !m1.bee  *.txt       x !m1.bee *.txt
call %btime%  bee       a   -m2  -      !m2.bee  *.txt       x !m2.bee *.txt
call %btime%  bee       a   -m3  -      !m3.bee  *.txt       x !m3.bee *.txt
call %btime%  bee       a   -m3  -d3    !33.bee  *.txt       x !33.bee *.txt
call %btime%  bee       a   -m3  -s     !ms.bee  *.txt       x !ms.bee *.txt
call %btime%  durilca   e   -o8  -t2(31) -ftexts *.txt       d texts
call %btime%  durilca   e   -o9  -t2(31) -ftexts *.txt       d texts
call %btime%  durilca   e   -o10 -t2(31) -ftexts *.txt       d texts
call %btime%  durilca   e   -o12 -t2(31) -ftexts *.txt       d texts
call %btime%  durilca   e   -o16 -t2(31) -ftexts *.txt       d texts
call %btime%  durilca   e   -o32 -t2(31) -ftexts *.txt       d texts
call %btime%  durilca   e   -o64 -t2(31) -ftexts *.txt       d texts
call %btime%  durilca   e  -o128 -t2(31) -ftexts *.txt       d texts
:conti
call %btime%  rar       a   -m1  -      !t1.rar  *.txt       x !t1.rar *.txt
call %btime%  rar       a   -m2  -      !t2.rar  *.txt       x !t2.rar *.txt
call %btime%  rar       a   -m3  -      !t3.rar  *.txt       x !t3.rar *.txt
call %btime%  rar       a   -m4  -      !t4.rar  *.txt       x !t4.rar *.txt
call %btime%  rar       a   -m5  -      !t5.rar  *.txt       x !t5.rar *.txt
call %btime%  rar       a   -m5  -s     !t6.rar  *.txt       x !t6.rar *.txt
call %btime%  rar       a  -mc16t   -s  !t7.rar  *.txt       x !t7.rar *.txt
call %btime%  rar       a  -mc16t+  -s  !t7.rar  *.txt       x !t7.rar *.txt
call %btime%  rar     a -mc16:128t  -s  !t8.rar  *.txt       x !t8.rar *.txt
call %btime%  rar     a -mc16:128t+ -s  !t8.rar  *.txt       x !t8.rar *.txt
call %btime%  rar32     a  -mc16t -s    !o7.rar  *.txt       x !o7.rar *.txt
goto end
call %btime%  slim      a   -d32 -w21   !s32.fb  *.txt       x !s32.fb
call %btime%  slim      a   -d16 -w21   !s16.fb  *.txt       x !s16.fb
call %btime%  slim      a   -d8  -w21   !s8.fb   *.txt       x !s8.fb
call %btime%  slim      a   -d4  -w21   !s4.fb   *.txt       x !s4.fb


cd \t\time\files
qfc /a large.qfc *.txt
delay.com

call %btime%  paq6v2a lr2.paq -  -     large.qfc  -         -  lr2.paq
call %btime%  paq6v2a -6 lr2.paq -     large.qfc  -         -  lr2.paq

call %btime%  uhbc      e     -  -     large.qfc lr1.uhb    d  lr1.uhb large.qfc
call %btime%  grzipii   e     -  -     large.qfc lr1.grz    d  lr1.grz large.qfc
call %btime%  bwic   large.qfc - -     lr1.bwi    -         -  lr1.bwi large.qfc
call %btime%  epm9      c008 -   -     large.qfc lr1.e12  d008 lr1.e12 large.qfc
call %btime%  epm9      c012 -   -     large.qfc lr1.e12  d012 lr1.e12 large.qfc
call %btime%  epm9      c016 -   -     large.qfc lr1.e12  d016 lr1.e12 large.qfc
call %btime%  rkc    -mf  -M230M -o8   large.qfc lr1.rkc   -   lr1.rkc large.qfc
call %btime%  rkc    -mx  -M230M -o8   large.qfc lr2.rkc   -   lr2.rkc large.qfc
call %btime%  rkc    -mxx -M230M -o8   large.qfc lr3.rkc   -   lr3.rkc large.qfc
call %btime%  rkc    -mxx -M230M -o12  large.qfc lr4.rkc   -   lr4.rkc large.qfc
call %btime%  rkc    -mxx -M230M -o16  large.qfc lr5.rkc   -   lr5.rkc large.qfc
call %btime%  rkc    -mxx -M230M -ft   large.qfc lr6.rkc   -   lr6.rkc large.qfc
copy \t\time\files\*.rkdict \t\time\*.*
call %btime%  rkc    -mf  -M230M -td+  large.qfc lr7.rkc   -   lr7.rkc large.qfc
copy \t\time\files\*.rkdict \t\time\*.*
call %btime%  rkc    -mx  -M230M -td+  large.qfc lr8.rkc   -   lr8.rkc large.qfc
copy \t\time\files\*.rkdict \t\time\*.*
call %btime%  rkc    -mxx -M230M -td+  large.qfc lr9.rkc   -   lr9.rkc large.qfc
call %btime%  ash04a  /o6 /m230   -    large.qfc lr6.ash   /d  lr6.ash large.qfc
call %btime%  ash04a  /o7 /m230   -    large.qfc lr7.ash   /d  lr7.ash large.qfc
call %btime%  ash04a  /o8 /m230   -    large.qfc lr8.ash   /d  lr8.ash large.qfc
call %btime%  ash04a  /o9 /m230   -    large.qfc lr9.ash   /d  lr9.ash large.qfc
call %btime%  ash04a  /o6 /m230 /s16   large.qfc lr6.ash   /d  lr6.ash large.qfc
call %btime%  ash04a  /o7 /m230 /s16   large.qfc lr7.ash   /d  lr7.ash large.qfc
call %btime%  ash04a  /o8 /m230 /s16   large.qfc lr8.ash   /d  lr8.ash large.qfc
call %btime%  ash04a  /o9 /m230 /s16   large.qfc lr9.ash   /d  lr9.ash large.qfc
call %btime%  ash04a /o16 /m230   -    large.qfc lrh.ash   /d  lrh.ash large.qfc
call %btime%  ash04a /o16 /m230 /s16   large.qfc lrh.ash   /d  lrh.ash large.qfc


call %btime%  ybs      -m1m   -  -      !t1.ybs  large.qfc  -d !t1.ybs
call %btime%  ybs      -m2m   -  -      !t2.ybs  large.qfc  -d !t2.ybs
call %btime%  ybs      -m4m   -  -      !t3.ybs  large.qfc  -d !t3.ybs
call %btime%  ybs      -m8m   -  -      !t4.ybs  large.qfc  -d !t4.ybs
call %btime%  ybs      -m16mu -  -      !t5.ybs  large.qfc  -d !t5.ybs
call %btime%  ybs      -m16mu -r -      !t6.ybs  large.qfc  -d !t6.ybs
call %btime%  ybs_d    -m16mu -  -      !t0.ybs  large.qfc  -d !t0.ybs
call %btime%  abc13     -c  -     -    large.qfc abc        -e large.abc qfc
call %btime%  abc24     -c  -     -    large.qfc abc        -e large.abc qfc
call %btime%  ppmy70    /o6 /m220 -    large.qfc lr6.pmy    -  lr6.pmy large.qfc
call %btime%  ppmy70    /o7 /m220 -    large.qfc lr7.pmy    -  lr7.pmy large.qfc
call %btime%  ppmy70    /o8 /m220 -    large.qfc lr8.pmy    -  lr8.pmy large.qfc
call %btime%  ppmy70    /o9 /m220 -    large.qfc lr9.pmy    -  lr9.pmy large.qfc
call %btime%  ppmy70   /o16 /m220 -    large.qfc lrh.pmy    -  lrh.pmy large.qfc
call %btime% paq1    lr1.paq -   -     large.qfc  -         -  lr1.paq
call %btime% paq1sse lr2.paq -   -     large.qfc  -         -  lr2.paq

call %btime%  szip      -v0 -    -     large.qfc lr1.sz     -d lr1.sz large.qfc
call %btime%  szip      -o4 -    -     large.qfc lr2.sz     -d lr2.sz large.qfc
call %btime%  szip      -o6 -    -     large.qfc lr3.sz     -d lr3.sz large.qfc
call %btime%  szip      -o8 -    -     large.qfc lr4.sz     -d lr4.sz large.qfc
call %btime%  szip      -o8 -b41 -     large.qfc lr5.sz     -d lr5.sz large.qfc
call %btime%  ppmn_km   e   -o6  -MT1  large.qfc lr6.pmn     d lr6.pmn large.qfc
call %btime%  ppmn_km   e   -o7  -MT1  large.qfc lr7.pmn     d lr7.pmn large.qfc
call %btime%  ppmn_km   e   -o8  -MT1  large.qfc lr8.pmn     d lr8.pmn large.qfc
call %btime%  ppmn_km   e   -o9  -MT1  large.qfc lr9.pmn     d lr9.pmn large.qfc
call %btime%  ppmn_km   e   -o9  -     large.qfc l90.pmn     d l90.pmn large.qfc
call %btime%  ppmn_km   e   -o9  -M:50 large.qfc l95.pmn     d l95.pmn large.qfc
call %btime%  bzip2     -k  -    -     large.qfc  -        -dk large.qfc.bz2
call %btime%  bzip2     -k  -s   -     large.qfc  -        -dk large.qfc.bz2
call %btime%  bzip2     -k  -1   -     large.qfc  -        -dk large.qfc.bz2
call %btime%  bzip2     -k  -5   -     large.qfc  -        -dk large.qfc.bz2
call %btime%  bzip2     -k  -9   -     large.qfc  -        -dk large.qfc.bz2
call %btime%  ba        -k  -50  -     large.qfc  -        -dk large.qfc.ba
call %btime%  ba        -k  -    -     large.qfc  -        -dk large.qfc.ba
call %btime%  ba        -k  -m   -     large.qfc  -        -dk large.qfc.ba
call %btime%  ba        -k  -1   -     large.qfc  -        -dk large.qfc.ba
@rem fails to losslessly decompress:
call %btime%  ba        -k  -10  -     large.qfc  -        -dk large.qfc.ba
goto end



@rem IDEAL :

call %btime%  program   a   -    -     archive1   *.txt      x archive1 *.*
call %btime%  program   a   -mxt -     archive2   *.txt      x archive2 *.*
call %btime%  program   a   -    -s    archive3   *.txt      x archive3 *.*
call %btime%  program   a   -mxt -s    archive4   *.txt      x archive4 *.*

@rem and PROGRAM detects how much memory available,
@rem types of files, what methods should be used etc.

:end